Package org.apache.tomcat.util.descriptor.web

## Class MessageDestinationRef

- java.lang.Object
- - org.apache.tomcat.util.descriptor.web.ResourceBase
  - - org.apache.tomcat.util.descriptor.web.MessageDestinationRef

- All Implemented Interfaces:
    `java.io.Serializable`, `Injectable`

      public class MessageDestinationRef
      extends ResourceBase

  Representation of a message destination reference for a web application, as represented in a `<message-destination-ref>` element in the deployment descriptor.

  Since:
    Tomcat 5.0
  Author:
    Craig R. McClanahan
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MessageDestinationRef()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getLink()` |
    `java.lang.String` | `getUsage()` |
    `int` | `hashCode()` |
    `void` | `setLink​(java.lang.String link)` |
    `void` | `setUsage​(java.lang.String usage)` |
    `java.lang.String` | `toString()` | Return a String representation of this object.

    - ### Methods inherited from class org.apache.tomcat.util.descriptor.web.ResourceBase

      `addInjectionTarget, getDescription, getInjectionTargets, getLookupName, getName, getNamingResources, getProperty, getType, listProperties, removeProperty, setDescription, setLookupName, setName, setNamingResources, setProperty, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MessageDestinationRef

          public MessageDestinationRef()

  - ### Method Detail

    - #### getLink

          public java.lang.String getLink()

    - #### setLink

          public void setLink​(java.lang.String link)

    - #### getUsage

          public java.lang.String getUsage()

    - #### setUsage

          public void setUsage​(java.lang.String usage)

    - #### toString

          public java.lang.String toString()

      Return a String representation of this object.
      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ResourceBase`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `ResourceBase`